﻿; =======================================================================================
; NAME .........: MOBILE INTERFACE GUI
; DESCRIPTION ..: GRAPHICAL USER INTERFACE IN THE STYLE OF A MOBILE APP
; AHK VERSION ..: AHK_L 1.1.22.00 (UNICODE 32-BIT) - MAY 1, 2015
; PLATFORM .....: WINDOWS 7 PROFESSIONAL SP1 64-BIT
; LANGUAGE .....: ENGLISH (EN-US)
; AUTHOR .......: THEDEWD
; MODIFIED .....: 20150501165349
; =======================================================================================

; GLOBAL ================================================================================
#SingleInstance, Force ; ALLOWS ONLY ONE RUNNING INSTANCE OF SCRIPT
#Persistent ; KEEPS SCRIPT PERMANENTLY RUNNING UNTIL TERMINATED
#NoEnv ; AVOIDS CHECKING EMPTY VARIABLES TO SEE If THEY ARE ENVIRONMENT VARIABLES
#Warn ; ENABLES WARNINGS TO ASSIST WITH DETECTING COMMON ERRORS
#NoTrayIcon ; DISABLES THE TRAY ICON OF THE SCRIPT
SendMode, Input ; RECOMMENDED FOR NEW SCRIPTS DUE TO ITS SUPERIOR SPEED AND RELIABILITY
SetWorkingDir, %A_ScriptDir% ; CHANGES THE WORKING DIRECTORY OF THE SCRIPT
SetBatchLines, -1 ; RUNS SCRIPT AT MAXIMUM SPEED/NEVER SLEEPS
SetControlDelay, -1 ; DELAY AFTER MODIFYING A CONTROL

; SCRIPT ================================================================================
MsgBox, 64, About, % "Mobile Interface GUI`n`nGraphics inspired by the "
. "Microsoft OWA mobile website.`n`nTry it out! Click the menu button "
. "to expand the menu, and then click the semi-transparent overlay on "
. "the right to collapse the menu."

Return ; END AUTOMATIC EXECUTION

; LABELS ================================================================================
MenuExpand:
	Loop, Parse, String, `,
	{
		GuiControl, Show, %A_LoopField%
	}
Return

MenuCollapse:
	Loop, Parse, String, `,
	{
		GuiControl, Hide, %A_LoopField%
	}
Return

GuiEscape:
GuiClose:
	ExitApp ; TERMINATES THE SCRIPT UNCONDITIONALLY
Return

; FUNCTIONS =============================================================================
gui_Main(GuiX,GuiY,GuiW,GuiH,GuiT)
{
	Global
	
	Static Dummy := gui_Main("Center","Center",400,600,"Application")
	
	String := "MBG,MO,MI1,MI2,MI3,MI4,MI5,MI6"

	Gui, +LastFound -Resize
	Gui, Color, FFFFFF
	Gui, Margin, 10, 10

	Gui, Add, Picture, % " x" 0 " y" 0 " w" GuiW " h" 56, headerbg.png
	Gui, Add, Picture, % " x" 2 " y" 17 " w" 48 " h" 22 " gMenuExpand", menubtn.png
	Gui, Add, Picture, % " x" 0 " y" GuiH-48 " w" GuiW " h" 48, footerbg.png

	Gui, Add, Picture, % " x" 0 " y" 0 " w" GuiW-60 " h" GuiH " vMBG Hidden1", menubg.png
	Gui, Add, Picture, % " x" GuiW-60 " y" 0 " w" 60 " h" GuiH " gMenuCollapse vMO Hidden1 +BackgroundTrans", menuoverlay.png
	
	Gui, Font, S12 C666666, Tahoma ; SET FONT OPTIONS
	Gui, Add, Text, % " x" 30 " yp" +30 " w" GuiW-80 " vMI1 Hidden1 +BackgroundTrans", Menu Item 1
	Gui, Add, Text, % " x" 30 " yp" +60 " w" GuiW-80 " vMI2 Hidden1 +BackgroundTrans", Menu Item 2
	Gui, Add, Text, % " x" 30 " yp" +60 " w" GuiW-80 " vMI3 Hidden1 +BackgroundTrans", Menu Item 3
	Gui, Add, Text, % " x" 30 " yp" +60 " w" GuiW-80 " vMI4 Hidden1 +BackgroundTrans", Menu Item 4
	Gui, Add, Text, % " x" 30 " yp" +60 " w" GuiW-80 " vMI5 Hidden1 +BackgroundTrans", Menu Item 5
	Gui, Add, Text, % " x" 30 " yp" +60 " w" GuiW-80 " vMI6 Hidden1 +BackgroundTrans", Menu Item 6
	Gui, Font ; RESET FONT OPTIONS TO NORMAL
	
	Gui, Show, % " x" GuiX " y" GuiY " w" GuiW " h" GuiH, %GuiT%
	Return
}